minecraft 1.17

  1. Richard_BN

    Important Java Update (Java 11/16)

    With Mojang making the move in the recent Minecraft 1.17 snapshots to finally bump the version of Java that Minecraft is built against from Java 8 to Java 16 any newer snapshots, 1.17 and all future releases of Minecraft will require Java 16 to work - they will not work at all with Java 8. Up...